import request from '@/config/axios'

export type DataSetFieldVO = {
  id: number | undefined
  dataSetId: string
  fieldCode: string
  fieldName: string
  fieldType: string
  sort: number
}

// 查询列表
export const getDataSetFieldPage = (params: PageParam) => {
  return request.get({ url: '/data/ind/data-set-field/page', params })
}

// 查询详情
export const getDataSetField = (id: number) => {
  return request.get({ url: '/data/ind/data-set-field/get?id=' + id })
}

// 新增
export const createDataSetField = (data: DataSetFieldVO) => {
  return request.post({ url: '/data/ind/data-set-field/create', data })
}

// 修改
export const updateDataSetField = (data: DataSetFieldVO) => {
  return request.put({ url: '/data/ind/data-set-field/update', data })
}

// 删除
export const deleteDataSetField = (id: number) => {
  return request.delete({ url: '/data/ind/data-set-field/delete?id=' + id })
}
